package core.services;

import core.api.models.auth.SimpleStatusResponse;
import org.springframework.http.ResponseEntity;

public enum ServiceExitCode {

    OK,
    ENTITY_ALREADY_EXIST,
    MISSING_ENTITY,
    INVALID_OPERATION,
    INVALID_PARAMETER;

    public ResponseEntity<SimpleStatusResponse> mapToResponseEntity() {
        return switch (this) {
            case OK -> ResponseEntity.ok(new SimpleStatusResponse("success"));
            case MISSING_ENTITY -> ResponseEntity.status(404).body(new SimpleStatusResponse("failed"));
            case ENTITY_ALREADY_EXIST -> ResponseEntity.status(409).body(new SimpleStatusResponse("failed"));
            case INVALID_OPERATION, INVALID_PARAMETER -> ResponseEntity.status(400).body(new SimpleStatusResponse("failed"));
        };
    }
}
